Package org.gitana.platform.client.beans

# Class TraversalResults

java.lang.Object
org.gitana.platform.client.beans.TraversalResults

public class TraversalResults extends Object

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`TraversalResults()`

## Method Summary

Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Association>`
`getAssociations()`
`org.gitana.platform.support.ResultMap<Node>`
`getNodes()`
`void`
`parse(ObjectFactory factory, Branch branch, Response response)`
`void`
`setAssociations(Map<String,Association> associations)`
`void`
`setNodes(Map<String,Node> nodes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TraversalResults

public TraversalResults()

## Method Details

### parse

public void parse(ObjectFactory factory, Branch branch, Response response)

### setNodes

public void setNodes(Map<String,Node> nodes)

### getNodes

public org.gitana.platform.support.ResultMap<Node> getNodes()

### setAssociations

public void setAssociations(Map<String,Association> associations)

### getAssociations

public org.gitana.platform.support.ResultMap<Association> getAssociations()